#ifndef ENCODER_INTERFACE_H
#define ENCODER_INTERFACE_H

#include "esp_common.h"
#include "log/esp_log.h"
#include "hal/io.h"
#include "hal/lsm6ds3.h"
#include "interface/light_interface.h"
#include "hal/lps25hb.h"
#include "hal/max17043.h"

#define Encoder_InitIO IO_InitIO
#define Encoder_DisableIOInterrupts IO_DisableIOInterrupts
#define Encoder_EnableIOInterrupts IO_EnableIOInterrupts
#define Encoder_SetIMUCallback IO_SetIMUCallback
#define Encoder_SetSwitchCallback IO_SetSwitchCallback

#define Encoder_EnableMotion LSM6DS3_EnableMotion
#define Encoder_DisableMotion LSM6DS3_DisableMotion

#endif
